List all supported integration types
curl --request GET \
--url https://api.devhelm.io/api/v1/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devhelm.io/api/v1/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devhelm.io/api/v1/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"logoUrl": "<string>",
"authType": "<string>",
"lifecycle": "<string>",
"setupGuideUrl": "<string>",
"configSchema": {
"connectionFields": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>",
"required": true,
"sensitive": true,
"placeholder": "<string>",
"helpText": "<string>",
"options": [
"<string>"
],
"default": "<string>"
}
],
"channelFields": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>",
"required": true,
"sensitive": true,
"placeholder": "<string>",
"helpText": "<string>",
"options": [
"<string>"
],
"default": "<string>"
}
]
}
}
],
"hasNext": true,
"hasPrev": true,
"totalElements": 123,
"totalPages": 123
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Integrations
List all supported integration types
Returns the full static catalog of supported alert channel integration types with their metadata and config field schemas. Used by the frontend to dynamically render the ‘Add Alert Channel’ form.
GET
/
api
/
v1
/
integrations
List all supported integration types
⌘I